import { BrowserModule } from '@angular/platform-browser';
import {FormsModule} from '@angular/forms'
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import {WjGridModule} from "@grapecity/wijmo.angular2.grid";
import {WjInputModule} from "@grapecity/wijmo.angular2.input";
import {WjGridGrouppanelModule} from '@grapecity/wijmo.angular2.grid.grouppanel';
import {WjGridFilterModule} from "@grapecity/wijmo.angular2.grid.filter";
import {WjGridSheetModule} from "@grapecity/wijmo.angular2.grid.sheet";
import {DataSvc} from './data';
import { from } from 'rxjs';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    WjGridModule,
    WjGridFilterModule,
    WjGridSheetModule,
    WjGridGrouppanelModule,
    WjInputModule
  ],
  providers: [DataSvc],
  bootstrap: [AppComponent]
})
export class AppModule {
  
}
